## ros-humble-ur-controllers 2.2.8

=== debian/changelog ===
ros-humble-ur-controllers (2.2.8-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 25 Jun 2023 22:00:00 -0000

ros-humble-ur-controllers (2.2.7-1jammy) jammy; urgency=high

  * added missing command interfaces into gpio controller (#693 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/693>) (#702 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/702>)
  * Adding maximum retry counter in gpio controller (Multiarm part 3) - v2 (#672 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/672>) (#696 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/696>)
  * Ported controllers to generate_parameters library and added prefix for controllers (Multiarm part 2) (#594 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/594>) (#695 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/695>)
  * Introduce hand back control service (#528 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/528>) (#670 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/670>)
  * Added services to set tool voltage and zero force torque sensor (#466 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/466>) (#582 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/582>)
  * Contributors: mergify[bot], Mads Holm Peters, Lennart Nachtigall, livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Jun 2023 22:00:00 -0000

ros-humble-ur-controllers (2.2.6-1jammy) jammy; urgency=high

  * Ros2 controllers 2.14 (#547 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/547>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 27 Nov 2022 23:00:00 -0000

ros-humble-ur-controllers (2.2.5-1jammy) jammy; urgency=high

  * Revert "Adapt jtc controller params to new param api"
    This reverts commit 65ac3679004fb0a622b00d334fa57056607dd23f.
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 18 Nov 2022 23:00:00 -0000

ros-humble-ur-controllers (2.2.4-1jammy) jammy; urgency=high

  * Adapt jtc controller params to new param api
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 06 Oct 2022 22:00:00 -0000

ros-humble-ur-controllers (2.2.3-1jammy) jammy; urgency=high

  * Adapt ros control api (#448 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/448>)
    * scaled jtc: Use get_interface_name instead of get_name
    * Migrate from stopped controllers to inactive controllers
    stopped controllers has been depreated upstream
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 26 Jul 2022 22:00:00 -0000

ros-humble-ur-controllers (2.2.2-1jammy) jammy; urgency=high

  * Adapted to JTC interpolation method feature (#439 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/439>)
  * Made sure all past maintainers are listed as authors (#429 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/429>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 18 Jul 2022 22:00:00 -0000

ros-humble-ur-controllers (2.2.1-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 26 Jun 2022 22:00:00 -0000

ros-humble-ur-controllers (2.2.0-1jammy) jammy; urgency=high

  * Updated package maintainers
  * Prepare for humble (#394 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/394>)
  * Update dependencies on all packages (#391 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/391>)
  * Update controllers' API (#351 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/351>)
  * Update binary dependencies (#344 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/344>)
  * Use upstream fts_broadcaster (#304 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/304>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Added controller stopper node (#309 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/309>)
  * Add missing dependency on angles and update formatting for linters. (#283 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/283>)
  * Payload service (#238 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/238>)
  * Integration tests improvement (#206 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/206>)
  * Add resend program service and enable headless mode (#198 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/198>)
  * Update controllers adding dt in to update as in ros2_control (#171 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/171>)
  * Update main branch with ros-controls changes (#160 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/160>)
  * Update CI configuration to support galactic and rolling (#142 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/142>)
  * Modify parameter declaration - approach equalization with ros-controls dependencies (#152 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/152>)
  * Moved registering publisher and service to on_active (#151 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/151>)
  * Correct formatting, include std::vector and update ros2_controller to master branch in repo file.
  * Correct check for fixed has_trajectory_msg()
    See: https://github.com/ros-controls/ros2_controllers/commit/32f089b3f3b53a817412c6bbce9046028786431e
  * Update for changes to ros2_control and ros2_controllers
    See: https://github.com/ros-controls/ros2_control/commit/156a3f6aaed319585a8a1fd445693e2e08c30ccd

