## ros-humble-ur-controllers 2.2.15

=== debian/changelog ===
ros-humble-ur-controllers (2.2.15-1bookworm) bookworm; urgency=high

  * Updated scaled JTC to latest upstream updates (#1067 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1067>)
  * Contributors: Felix Exner (fexner)

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-ur-controllers (2.2.14-1bookworm) bookworm; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 30 Jun 2024 16:00:00 -0000

ros-humble-ur-controllers (2.2.13-1bookworm) bookworm; urgency=high

  * this simple fix should fix the goal time violated issue (backport of #882 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/882>)
  * Contributors: Lennart Nachtigall

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 16 Jun 2024 16:00:00 -0000

ros-humble-ur-controllers (2.2.12-1bookworm) bookworm; urgency=high

  * Use latched publishing for robot_mode and safety_mode (#991 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/991>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 15 May 2024 16:00:00 -0000

ros-humble-ur-controllers (2.2.11-1bookworm) bookworm; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-ur-controllers (2.2.10-1bookworm) bookworm; urgency=high

  * Update JTC API (#896 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/896>)
  * Remove noisy controller log message (#858 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/858>)
  * Contributors: Felix Exner (fexner), mergify[bot], Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 02 Jan 2024 16:00:00 -0000

ros-humble-ur-controllers (2.2.9-1bookworm) bookworm; urgency=high

  * Update sjtc to newest upstream API
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 21 Sep 2023 16:00:00 -0000

ros-humble-ur-controllers (2.2.8-1bookworm) bookworm; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 25 Jun 2023 16:00:00 -0000

ros-humble-ur-controllers (2.2.7-1bookworm) bookworm; urgency=high

  * added missing command interfaces into gpio controller (#693 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/693>) (#702 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/702>)
  * Adding maximum retry counter in gpio controller (Multiarm part 3) - v2 (#672 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/672>) (#696 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/696>)
  * Ported controllers to generate_parameters library and added prefix for controllers (Multiarm part 2) (#594 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/594>) (#695 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/695>)
  * Introduce hand back control service (#528 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/528>) (#670 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/670>)
  * Added services to set tool voltage and zero force torque sensor (#466 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/466>) (#582 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/582>)
  * Contributors: mergify[bot], Mads Holm Peters, Lennart Nachtigall, livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Jun 2023 16:00:00 -0000

ros-humble-ur-controllers (2.2.6-1bookworm) bookworm; urgency=high

  * Ros2 controllers 2.14 (#547 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/547>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 27 Nov 2022 16:00:00 -0000

ros-humble-ur-controllers (2.2.5-1bookworm) bookworm; urgency=high

  * Revert "Adapt jtc controller params to new param api"
    This reverts commit 65ac3679004fb0a622b00d334fa57056607dd23f.
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 18 Nov 2022 16:00:00 -0000

ros-humble-ur-controllers (2.2.4-1bookworm) bookworm; urgency=high

  * Adapt jtc controller params to new param api
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 06 Oct 2022 16:00:00 -0000

ros-humble-ur-controllers (2.2.3-1bookworm) bookworm; urgency=high

  * Adapt ros control api (#448 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/448>)
    * scaled jtc: Use get_interface_name instead of get_name
    * Migrate from stopped controllers to inactive controllers
    stopped controllers has been depreated upstream
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 26 Jul 2022 16:00:00 -0000

ros-humble-ur-controllers (2.2.2-1bookworm) bookworm; urgency=high

  * Adapted to JTC interpolation method feature (#439 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/439>)
  * Made sure all past maintainers are listed as authors (#429 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/429>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 18 Jul 2022 16:00:00 -0000

ros-humble-ur-controllers (2.2.1-1bookworm) bookworm; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 26 Jun 2022 16:00:00 -0000

ros-humble-ur-controllers (2.2.0-1bookworm) bookworm; urgency=high

  * Updated package maintainers
  * Prepare for humble (#394 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/394>)
  * Update dependencies on all packages (#391 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/391>)
  * Update controllers' API (#351 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/351>)
  * Update binary dependencies (#344 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/344>)

